#include "locator.h"
#include <sstream>

using namespace aka2;

std::string locator::get_position() const {
  std::ostringstream ostm;
  ostm << get_linenumber() << ':' << get_columnnumber();
  return ostm.rdbuf()->str();
}


size_t locator::get_linenumber() const {
  return 0;
}

size_t locator::get_columnnumber() const{
  return 0;
}
